Skip to main content
GET
Get order by ID

Authorizations

Authorization
string
header
required

Auth0-issued access token that includes the scopes listed for the endpoint.

Headers

x-user-id
string
required

User identifier for the M2M client to specify which user's data to access.

Pattern: ^[a-f0-9]{24}$

Path Parameters

id
string
required

Order identifier (MongoDB ObjectId)

Pattern: ^[a-f0-9]{24}$

Response

Order details retrieved successfully

Order information including execution details and fees

id
string
required
displayId
string
required

User-friendly display identifier for the order (e.g., ORD-XXXXX)

Example:

"ORD-ABC12"

isin
string
required
side
enum<string>
required
Available options:
Buy,
Sell
status
enum<string>
required
Available options:
Pending,
Matched,
Settled,
Rejected,
Cancelled
orderType
enum<string>
required

Order type (Market or Limit).

Available options:
Market,
Limit
displayDate
string<date-time>
required

Display date (filledAt when matched, otherwise createdAt)

isCancellable
boolean
required

Whether the order can be cancelled by the user

isBuyWithShares
boolean
required

True when this buy is sized by share quantity. False for amount-buys and sells. Do not infer share-buys from quantity (sells also have quantity) or from displayReservedAmount (amount-based pending buys lock cash too).

quantity
number<double>

Asset units (may be null for pending buy orders)

executionWindow
object | null

Execution timing communicated to the client.

consideration
object
limitPrice
object | null

Limit price per unit for limit orders

expiresAt
string<date-time> | null

ISO datetime when a limit order expires

fees
object | null

Wealthyhood fees on orders and settled transactions (commission, FX, and real-time execution when applicable).

partnerFees
object | null

ETE/NBG countervalue fees charged to partner users (sibling of Wealthyhood fees)

createdAt
string<date-time>

Timestamp when the order was created (optional)

settledAt
string<date-time> | null

ISO datetime when the order settled or is expected to settle

filledAt
string<date-time> | null

ISO datetime when order was matched

displayReservedAmount
object

Total cash held for a pending quantity-buy or amount-based buy. Omitted unless the order currently locks cash.

unitPrice
object | null

Price per unit in major units (e.g. 200.00 for €200.00).

fxRate
object | null

Exchange rate used